0 Пользователей и 1 Гость просматривают эту тему.
  • 2 Ответов
  • 1663 Просмотров
*

tmpnikl

  • Захожу иногда
  • 479
  • 4 / 0
Переход на версию PHP 7
« : 12.10.2018, 07:20:26 »
В общем как обычно, начало выходить сообщение о необходимости перехода на новую версию PHP7. На локалке с PHP7(openserver) сайт нормально работает на  PHP7. Но ситуация такова, что сайт организации расположен на хостинге Ростелекома и уходить с него организация не желает(на нём завязаны счета телефонов, инет и т.д.).
На этом хостинге PHP7 не установлен, но можно выбрать режим работы CGI(а не апач)  и выбрать версию PHP(только при версии 7.1.22 предупреждение о переходе пропадает). Но при таких установках (режим CGI, версия PHP 7.1.22) сайт не работает(0 - Cannot use string offset as an array). Хотя если развернуть стандартную Joomla, таких сообщений не возникает. Что вызывает ошибку,  как локализовать ошибку и как вообще при таких условиях сделать переход на PHP7

PS: На хостинге есть каталог php-bin-isp-php71 , и там находится php.ini может там какую директиву раскомментировать?
« Последнее редактирование: 12.10.2018, 07:35:53 от tmpnikl »
*

AlekVolsk

  • Гуру
  • 6916
  • 413 / 4
Re: Переход на версию PHP 7
« Ответ #1 : 12.10.2018, 08:28:07 »
0 - Cannot use string offset as an array
распространенная ошибка при переходе на пых7, обсуждалась много раз: включаем показ ошибок на максимум, читаем логи и делаем соответствующие правки, ошибки возникают в ***коде сторонних расширений, часто - в системных плагинах

а еще предупреждение о необходимости перехода на пых7 можно отключить, это один из плагинов группы quickicons, только он защищен системой от изменения статуса, снять защиту можно этим расширением либо ручками в базе (таблица #__extensions, поле protect)
*

tmpnikl

  • Захожу иногда
  • 479
  • 4 / 0
Re: Переход на версию PHP 7
« Ответ #2 : 15.10.2018, 12:57:15 »
Спасибо, включил отображение ошибок, вот что он выдал
Спойлер
[свернуть]
То ли менять версию nextend, но не могу найти какая версия стоит у меня и какая версия nextend работает с php7. Или может что-то поменять в самой файле, но посмотрел, там вроде всё нормально
        $this->_fonts[$family][0].=','.$style;
        $this->_fonts[$family][1].=','.$subset;
Посоветуйте исправлять программу или искать другую версию nextend
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

Из FAQ: Переход с 2.5 на 3.х

Автор Magnum

Ответов: 167
Просмотров: 74328
Последний ответ 28.04.2022, 06:06:35
от Cherr23
Переход на PHP 8 ошибка

Автор Zegeberg

Ответов: 5
Просмотров: 2213
Последний ответ 08.06.2021, 14:51:54
от bratsk12
Переход на 7.3 версииPHP ошибка с темой

Автор peklor

Ответов: 6
Просмотров: 609
Последний ответ 18.04.2021, 23:02:35
от peklor
Обновление Joomla c 3.8.6 и переход c php 5.6

Автор buto

Ответов: 5
Просмотров: 470
Последний ответ 25.02.2021, 08:28:07
от draff
Переход на http/2

Автор artman

Ответов: 2
Просмотров: 647
Последний ответ 21.09.2020, 15:17:56
от artman